;;    *************************************
;;    *************************************
;;    *****  manuelle berschreibung  *****
;;    *****    von ffnungshhen in   *****
;;    *****     AEC-Bemassungen       *****
;;    *****     Programmiert von      *****
;;    *****  CAD-Technik Nelkel GmbH  *****
;;    *****       Wilfried Nelkel     *****
;;    *****  In der Langen Nacht 18   *****
;;    *****    Tel. 09628/914144      *****
;;    *****    Fax. 09628/914145      *****
;;    ***** http://www.cad-nelkel.de  *****
;;    ***** eMail: info@cad-nelkel.de *****
;;    *************************************
;;    *************************************

(defun c:manoeffh (/ dz bem_h z hz bem_hz DIMZIN_alt)
  (SETQ DIMZIN_alt (GETVAR "DIMZIN"))
  (SETVAR "DIMZIN" 4)
  (setq dz (getvar "DIMZIN"))
  (setq bem_h (getreal "\nffnungshhe eingeben: "))

					;
					; nderung fr cm-Anzeige, wenn Hhenangabe unter 1 Meter
  (if (>= bem_h 1)
    (setq z (substr (rtos bem_h 2 3) 1 (strlen (rtos bem_h 2 2))))
					;else
    (setq z (substr (rtos bem_h 2 3) 3 2))
  )					;end

					; nderung fr mm-Anzeige, 1-stellig/2-stellig
					; letzten 2 Stellen der ffnungshhe auslesen (Prfwert)
  (setq	hz2 (substr (rtos bem_h 2 4)
		    (strlen (rtos bem_h 2 3))
		    (strlen (rtos bem_h 2 3))
	    )
  )
					; letzte Stelle des Prfwertes auslesen
  (setq hz1 (substr hz2 2))
					; Prfung  0 gleich 1-stellig, sonst 2-stellig
  (if (eq hz1 "0")
    (setq hz (substr (rtos bem_h 2 3)
		     (strlen (rtos bem_h 2 3))
		     (strlen (rtos bem_h 2 3))
	     )
    )
					;else
    (setq hz (substr (rtos bem_h 2 4)
		     (strlen (rtos bem_h 2 3))
		     (strlen (rtos bem_h 2 3))
	     )
    )
  )					;end
  (setq z (substr (rtos bem_h 2 3) 1 (strlen (rtos bem_h 2 2))))

  (if (= (substr z 1 1) ".")
    (setq z (substr z 2 3)))

	 
  (setq	hz (substr (rtos bem_h 2 3)
		   (strlen (rtos bem_h 2 3))
		   (strlen (rtos bem_h 2 3))
	   )
  )
  (if (eq hz "0")
    (setq bem_hz (strcat "\\X" z))
    (setq bem_hz (strcat "\\X" z "\\H.75x;\\S" hz ";"))
  )
    
  (Command "_.-DimTextOverride" pause "s" bem_hz "")
  (SETVAR "DIMZIN" DIMZIN_alt)
  (princ)
)

